JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GroupComponent::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » layout

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_GroupComponent.h>`

Inheritance diagram for GroupComponent::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawGroupComponentOutline (Graphics &, int w, int h, const String &text, const Justification &, GroupComponent &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual GroupComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawGroupComponentOutline()

virtual void GroupComponent::LookAndFeelMethods::drawGroupComponentOutline | ( | Graphics & | ,
|  | int | w,
|  | int | h,
|  | const String & | text,
|  | const Justification & | ,
|  | GroupComponent & | )
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_GroupComponent.h